#include "entity_player_ammo_display.h"

void
entity_player_ammo_display_init(ECS* ecs, u32 id, u32 playerID)
{
	ComponentStatDisplay* statDisplay;

	statDisplay = ecs_component_add(ecs, ECS_COMPONENT_STAT_DISPLAY, id);

	component_stat_display_init
	(
		statDisplay,
		ecs,
		(f32*)PLAYER_AMMO_DISPLAY_OFFSET,
		ECS_COMPONENT_AMMO,
		playerID,
		ICON_AMMO
	);
}
